%define name    lib765
%define version 0.3.1.1
%define release 4mdk

%define libname %mklibname 765_ 2
%define libname_devel %mklibname -d 765_ 2
%define libname_static_devel %mklibname -s -d 765_ 2

Name: %{name}
Summary: An emulation of the uPD765a (AKA Intel 8272) Floppy Disc Controller.
Version: %{version}
Release: %{release}
License: GPL
URL: http://www.seasip.demon.co.uk/Unix/LibDsk/
Source: http://www.seasip.demon.co.uk/Unix/LibDsk/%{name}-%{version}.tar.gz
Group: System/Libraries
BuildRequires: libdsk-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
"765" is an emulation of the uPD765a (AKA Intel 8272) Floppy Disc Controller
[FDC] as used in Amstrad computers such as the PCW, CPC and Spectrum +3. At
present it is not a "full" 765; features not used in the PCW BIOS (such as:
DMA; multisector reads/writes; multitrack mode) are either left unimplemented
or incomplete.

%package -n %{libname}
Summary: An emulation of the uPD765a (AKA Intel 8272) Floppy Disc Controller.
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
"765" is an emulation of the uPD765a (AKA Intel 8272) Floppy Disc Controller
[FDC] as used in Amstrad computers such as the PCW, CPC and Spectrum +3. At
present it is not a "full" 765; features not used in the PCW BIOS (such as:
DMA; multisector reads/writes; multitrack mode) are either left unimplemented
or incomplete.

Using the lib765 API requires to install the lib765 library.

%package -n %{libname_devel}
Summary: Development files for programs which will use the lib765 library.
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
This package contains the header files and documentation necessary for
development of programs that will use the lib765 library.

You should install this package if you need to develop programs which will
use the lib765 library functions. You'll also need to install the lib765
package.

%package -n %{libname_static_devel}
Summary: Static libraries for programs which will use the lib765 library.
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-static-devel = %{version}-%{release}
Provides: lib%{name}-static-devel = %{version}-%{release}

%description -n %{libname_static_devel}
This package contains the static libraries, necessary for development of
programs that will use the lib765 library.

You should install this package if you need to develop programs which
will use the lib765 library functions. You'll also need to install the
lib765 package.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog doc/COPYING.LIB
%{_libdir}/lib*.so.*

%files -n %{libname_devel}
%defattr(-,root,root)
%doc doc/765.txt
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files -n %{libname_static_devel}
%defattr(-,root,root)
%{_libdir}/lib*.a

%changelog
* Wed Apr 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.1.1-4mdk
- rebuild for new libsdk

* Mon Dec 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.1.1-2mdk
- introduce in contrib

* Sat Nov 1 2003 Miguel Barrio Orsikowsky <mik@ingecivil.com> 0.3.1.1-2mdk
- made lots of fixes and cosmetic changes to the spec file

* Thu Sep 2 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.3.1.1-1mdk
- new version

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.3.0-3mdk
- added BuildRequires

* Tue May 13 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.3.0-2mdk
- unified %%changelog

* Thu Apr 24 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.3.0-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1
